Index: admin/js/jquery/jquery.js
===================================================================
--- admin/js/jquery/jquery.js	(revision 676)
+++ admin/js/jquery/jquery.js	(revision 0)
@@ -3718,14 +2640,12 @@
 // function. If that is the case, discard the hasDuplicate value.
 //   Thus far that includes Google Chrome.
-[0, 0].sort(function() {
+[0, 0].sort(function(){
 	baseHasDuplicate = false;
 	return 0;
 });
 
-var Sizzle = function( selector, context, results, seed ) {
+var Sizzle = function(selector, context, results, seed) {
 	results = results || [];
-	context = context || document;
-
-	var origContext = context;
+	var origContext = context = context || document;
 
 	if ( context.nodeType !== 1 && context.nodeType !== 9 ) {
@@ -3737,32 +2657,22 @@
 	}
 
-	var m, set, checkSet, extra, ret, cur, pop, i,
-		prune = true,
-		contextXML = Sizzle.isXML( context ),
-		parts = [],
+	var parts = [], m, set, checkSet, extra, prune = true, contextXML = isXML(context),
 		soFar = selector;
 	
 	// Reset the position of the chunker regexp (start from head)
-	do {
-		chunker.exec( "" );
-		m = chunker.exec( soFar );
-
-		if ( m ) {
-			soFar = m[3];
+	while ( (chunker.exec(""), m = chunker.exec(soFar)) !== null ) {
+		soFar = m[3];
 		
-			parts.push( m[1] );
+		parts.push( m[1] );
 		
-			if ( m[2] ) {
-				extra = m[3];
-				break;
-			}
-		}
-	} while ( m );
+		if ( m[2] ) {
+			extra = m[3];
+			break;
+		}
+	}
 
 	if ( parts.length > 1 && origPOS.exec( selector ) ) {
-
 		if ( parts.length === 2 && Expr.relative[ parts[0] ] ) {
 			set = posProcess( parts[0] + parts[1], context );
-
 		} else {
 			set = Expr.relative[ parts[0] ] ?
@@ -3780,5 +2690,4 @@
 			}
 		}
-
 	} else {
 		// Take a shortcut and set the context if the root selector is an ID
@@ -3786,23 +2695,16 @@
 		if ( !seed && parts.length > 1 && context.nodeType === 9 && !contextXML &&
 				Expr.match.ID.test(parts[0]) && !Expr.match.ID.test(parts[parts.length - 1]) ) {
-
-			ret = Sizzle.find( parts.shift(), context, contextXML );
-			context = ret.expr ?
-				Sizzle.filter( ret.expr, ret.set )[0] :
-				ret.set[0];
+			var ret = Sizzle.find( parts.shift(), context, contextXML );
+			context = ret.expr ? Sizzle.filter( ret.expr, ret.set )[0] : ret.set[0];
 		}
 
 		if ( context ) {
-			ret = seed ?
+			var ret = seed ?
 				{ expr: parts.pop(), set: makeArray(seed) } :
 				Sizzle.find( parts.pop(), parts.length === 1 && (parts[0] === "~" || parts[0] === "+") && context.parentNode ? context.parentNode : context, contextXML );
-
-			set = ret.expr ?
-				Sizzle.filter( ret.expr, ret.set ) :
-				ret.set;
+			set = ret.expr ? Sizzle.filter( ret.expr, ret.set ) : ret.set;
 
 			if ( parts.length > 0 ) {
-				checkSet = makeArray( set );
-
+				checkSet = makeArray(set);
 			} else {
 				prune = false;
@@ -3810,6 +2712,5 @@
 
 			while ( parts.length ) {
-				cur = parts.pop();
-				pop = cur;
+				var cur = parts.pop(), pop = cur;
 
 				if ( !Expr.relative[ cur ] ) {
@@ -3825,5 +2726,4 @@
 				Expr.relative[ cur ]( checkSet, pop, contextXML );
 			}
-
 		} else {
 			checkSet = parts = [];
@@ -3842,14 +2742,12 @@
 		if ( !prune ) {
 			results.push.apply( results, checkSet );
-
 		} else if ( context && context.nodeType === 1 ) {
-			for ( i = 0; checkSet[i] != null; i++ ) {
-				if ( checkSet[i] && (checkSet[i] === true || checkSet[i].nodeType === 1 && Sizzle.contains(context, checkSet[i])) ) {
+			for ( var i = 0; checkSet[i] != null; i++ ) {
+				if ( checkSet[i] && (checkSet[i] === true || checkSet[i].nodeType === 1 && contains(context, checkSet[i])) ) {
 					results.push( set[i] );
 				}
 			}
-
 		} else {
-			for ( i = 0; checkSet[i] != null; i++ ) {
+			for ( var i = 0; checkSet[i] != null; i++ ) {
 				if ( checkSet[i] && checkSet[i].nodeType === 1 ) {
 					results.push( set[i] );
@@ -3857,5 +2755,4 @@
 			}
 		}
-
 	} else {
 		makeArray( checkSet, results );
@@ -3870,13 +2767,13 @@
 };
 
-Sizzle.uniqueSort = function( results ) {
+Sizzle.uniqueSort = function(results){
 	if ( sortOrder ) {
 		hasDuplicate = baseHasDuplicate;
-		results.sort( sortOrder );
+		results.sort(sortOrder);
 
 		if ( hasDuplicate ) {
 			for ( var i = 1; i < results.length; i++ ) {
-				if ( results[i] === results[ i - 1 ] ) {
-					results.splice( i--, 1 );
+				if ( results[i] === results[i-1] ) {
+					results.splice(i--, 1);
 				}
 			}
@@ -3887,14 +2784,10 @@
 };
 
-Sizzle.matches = function( expr, set ) {
-	return Sizzle( expr, null, null, set );
+Sizzle.matches = function(expr, set){
+	return Sizzle(expr, null, null, set);
 };
 
-Sizzle.matchesSelector = function( node, expr ) {
-	return Sizzle( expr, null, null, [node] ).length > 0;
-};
-
-Sizzle.find = function( expr, context, isXML ) {
-	var set;
+Sizzle.find = function(expr, context, isXML){
+	var set, match;
 
 	if ( !expr ) {
@@ -3903,15 +2796,13 @@
 
 	for ( var i = 0, l = Expr.order.length; i < l; i++ ) {
-		var match,
-			type = Expr.order[i];
+		var type = Expr.order[i], match;
 		
 		if ( (match = Expr.leftMatch[ type ].exec( expr )) ) {
 			var left = match[1];
-			match.splice( 1, 1 );
+			match.splice(1,1);
 
 			if ( left.substr( left.length - 1 ) !== "\\" ) {
-				match[1] = (match[1] || "").replace( rBackslash, "" );
+				match[1] = (match[1] || "").replace(/\\/g, "");
 				set = Expr.find[ type ]( match, context, isXML );
-
 				if ( set != null ) {
 					expr = expr.replace( Expr.match[ type ], "" );
@@ -3923,26 +2814,18 @@
 
 	if ( !set ) {
-		set = typeof context.getElementsByTagName !== "undefined" ?
-			context.getElementsByTagName( "*" ) :
-			[];
-	}
-
-	return { set: set, expr: expr };
+		set = context.getElementsByTagName("*");
+	}
+
+	return {set: set, expr: expr};
 };
 
-Sizzle.filter = function( expr, set, inplace, not ) {
-	var match, anyFound,
-		old = expr,
-		result = [],
-		curLoop = set,
-		isXMLFilter = set && set[0] && Sizzle.isXML( set[0] );
+Sizzle.filter = function(expr, set, inplace, not){
+	var old = expr, result = [], curLoop = set, match, anyFound,
+		isXMLFilter = set && set[0] && isXML(set[0]);
 
 	while ( expr && set.length ) {
 		for ( var type in Expr.filter ) {
 			if ( (match = Expr.leftMatch[ type ].exec( expr )) != null && match[2] ) {
-				var found, item,
-					filter = Expr.filter[ type ],
-					left = match[1];
-
+				var filter = Expr.filter[ type ], found, item, left = match[1];
 				anyFound = false;
 
@@ -3962,5 +2845,4 @@
 					if ( !match ) {
 						anyFound = found = true;
-
 					} else if ( match === true ) {
 						continue;
@@ -3977,9 +2859,7 @@
 								if ( pass ) {
 									anyFound = true;
-
 								} else {
 									curLoop[i] = false;
 								}
-
 							} else if ( pass ) {
 								result.push( item );
@@ -4010,5 +2890,4 @@
 			if ( anyFound == null ) {
 				Sizzle.error( expr );
-
 			} else {
 				break;
@@ -4028,36 +2907,28 @@
 var Expr = Sizzle.selectors = {
 	order: [ "ID", "NAME", "TAG" ],
-
 	match: {
-		ID: /#((?:[\w\u00c0-\uFFFF\-]|\\.)+)/,
-		CLASS: /\.((?:[\w\u00c0-\uFFFF\-]|\\.)+)/,
-		NAME: /\[name=['"]*((?:[\w\u00c0-\uFFFF\-]|\\.)+)['"]*\]/,
-		ATTR: /\[\s*((?:[\w\u00c0-\uFFFF\-]|\\.)+)\s*(?:(\S?=)\s*(?:(['"])(.*?)\3|(#?(?:[\w\u00c0-\uFFFF\-]|\\.)*)|)|)\s*\]/,
-		TAG: /^((?:[\w\u00c0-\uFFFF\*\-]|\\.)+)/,
-		CHILD: /:(only|nth|last|first)-child(?:\(\s*(even|odd|(?:[+\-]?\d+|(?:[+\-]?\d*)?n\s*(?:[+\-]\s*\d+)?))\s*\))?/,
-		POS: /:(nth|eq|gt|lt|first|last|even|odd)(?:\((\d*)\))?(?=[^\-]|$)/,
-		PSEUDO: /:((?:[\w\u00c0-\uFFFF\-]|\\.)+)(?:\((['"]?)((?:\([^\)]+\)|[^\(\)]*)+)\2\))?/
-	},
-
+		ID: /#((?:[\w\u00c0-\uFFFF-]|\\.)+)/,
+		CLASS: /\.((?:[\w\u00c0-\uFFFF-]|\\.)+)/,
+		NAME: /\[name=['"]*((?:[\w\u00c0-\uFFFF-]|\\.)+)['"]*\]/,
+		ATTR: /\[\s*((?:[\w\u00c0-\uFFFF-]|\\.)+)\s*(?:(\S?=)\s*(['"]*)(.*?)\3|)\s*\]/,
+		TAG: /^((?:[\w\u00c0-\uFFFF\*-]|\\.)+)/,
+		CHILD: /:(only|nth|last|first)-child(?:\((even|odd|[\dn+-]*)\))?/,
+		POS: /:(nth|eq|gt|lt|first|last|even|odd)(?:\((\d*)\))?(?=[^-]|$)/,
+		PSEUDO: /:((?:[\w\u00c0-\uFFFF-]|\\.)+)(?:\((['"]?)((?:\([^\)]+\)|[^\(\)]*)+)\2\))?/
+	},
 	leftMatch: {},
-
 	attrMap: {
 		"class": "className",
 		"for": "htmlFor"
 	},
-
 	attrHandle: {
-		href: function( elem ) {
-			return elem.getAttribute( "href" );
-		},
-		type: function( elem ) {
-			return elem.getAttribute( "type" );
-		}
-	},
-
+		href: function(elem){
+			return elem.getAttribute("href");
+		}
+	},
 	relative: {
 		"+": function(checkSet, part){
 			var isPartStr = typeof part === "string",
-				isTag = isPartStr && !rNonWord.test( part ),
+				isTag = isPartStr && !/\W/.test(part),
 				isPartStrNotTag = isPartStr && !isTag;
 
@@ -4080,17 +2951,12 @@
 			}
 		},
-
-		">": function( checkSet, part ) {
-			var elem,
-				isPartStr = typeof part === "string",
-				i = 0,
-				l = checkSet.length;
-
-			if ( isPartStr && !rNonWord.test( part ) ) {
+		">": function(checkSet, part){
+			var isPartStr = typeof part === "string";
+
+			if ( isPartStr && !/\W/.test(part) ) {
 				part = part.toLowerCase();
 
-				for ( ; i < l; i++ ) {
-					elem = checkSet[i];
-
+				for ( var i = 0, l = checkSet.length; i < l; i++ ) {
+					var elem = checkSet[i];
 					if ( elem ) {
 						var parent = elem.parentNode;
@@ -4098,9 +2964,7 @@
 					}
 				}
-
 			} else {
-				for ( ; i < l; i++ ) {
-					elem = checkSet[i];
-
+				for ( var i = 0, l = checkSet.length; i < l; i++ ) {
+					var elem = checkSet[i];
 					if ( elem ) {
 						checkSet[i] = isPartStr ?
@@ -4115,48 +2979,35 @@
 			}
 		},
-
 		"": function(checkSet, part, isXML){
-			var nodeCheck,
-				doneName = done++,
-				checkFn = dirCheck;
-
-			if ( typeof part === "string" && !rNonWord.test( part ) ) {
-				part = part.toLowerCase();
-				nodeCheck = part;
+			var doneName = done++, checkFn = dirCheck;
+
+			if ( typeof part === "string" && !/\W/.test(part) ) {
+				var nodeCheck = part = part.toLowerCase();
 				checkFn = dirNodeCheck;
 			}
 
-			checkFn( "parentNode", part, doneName, checkSet, nodeCheck, isXML );
+			checkFn("parentNode", part, doneName, checkSet, nodeCheck, isXML);
 		},
-
-		"~": function( checkSet, part, isXML ) {
-			var nodeCheck,
-				doneName = done++,
-				checkFn = dirCheck;
-
-			if ( typeof part === "string" && !rNonWord.test( part ) ) {
-				part = part.toLowerCase();
-				nodeCheck = part;
+		"~": function(checkSet, part, isXML){
+			var doneName = done++, checkFn = dirCheck;
+
+			if ( typeof part === "string" && !/\W/.test(part) ) {
+				var nodeCheck = part = part.toLowerCase();
 				checkFn = dirNodeCheck;
 			}
 
-			checkFn( "previousSibling", part, doneName, checkSet, nodeCheck, isXML );
-		}
-	},
-
+			checkFn("previousSibling", part, doneName, checkSet, nodeCheck, isXML);
+		}
+	},
 	find: {
-		ID: function( match, context, isXML ) {
+		ID: function(match, context, isXML){
 			if ( typeof context.getElementById !== "undefined" && !isXML ) {
 				var m = context.getElementById(match[1]);
-				// Check parentNode to catch when Blackberry 4.6 returns
-				// nodes that are no longer in the document #6963
-				return m && m.parentNode ? [m] : [];
+				return m ? [m] : [];
 			}
 		},
-
-		NAME: function( match, context ) {
+		NAME: function(match, context){
 			if ( typeof context.getElementsByName !== "undefined" ) {
-				var ret = [],
-					results = context.getElementsByName( match[1] );
+				var ret = [], results = context.getElementsByName(match[1]);
 
 				for ( var i = 0, l = results.length; i < l; i++ ) {
@@ -4169,14 +3020,11 @@
 			}
 		},
-
-		TAG: function( match, context ) {
-			if ( typeof context.getElementsByTagName !== "undefined" ) {
-				return context.getElementsByTagName( match[1] );
-			}
+		TAG: function(match, context){
+			return context.getElementsByTagName(match[1]);
 		}
 	},
 	preFilter: {
-		CLASS: function( match, curLoop, inplace, result, not, isXML ) {
-			match = " " + match[1].replace( rBackslash, "" ) + " ";
+		CLASS: function(match, curLoop, inplace, result, not, isXML){
+			match = " " + match[1].replace(/\\/g, "") + " ";
 
 			if ( isXML ) {
@@ -4186,9 +3034,8 @@
 			for ( var i = 0, elem; (elem = curLoop[i]) != null; i++ ) {
 				if ( elem ) {
-					if ( not ^ (elem.className && (" " + elem.className + " ").replace(/[\t\n\r]/g, " ").indexOf(match) >= 0) ) {
+					if ( not ^ (elem.className && (" " + elem.className + " ").replace(/[\t\n]/g, " ").indexOf(match) >= 0) ) {
 						if ( !inplace ) {
 							result.push( elem );
 						}
-
 					} else if ( inplace ) {
 						curLoop[i] = false;
@@ -4199,23 +3046,14 @@
 			return false;
 		},
-
-		ID: function( match ) {
-			return match[1].replace( rBackslash, "" );
+		ID: function(match){
+			return match[1].replace(/\\/g, "");
 		},
-
-		TAG: function( match, curLoop ) {
-			return match[1].replace( rBackslash, "" ).toLowerCase();
+		TAG: function(match, curLoop){
+			return match[1].toLowerCase();
 		},
-
-		CHILD: function( match ) {
+		CHILD: function(match){
 			if ( match[1] === "nth" ) {
-				if ( !match[2] ) {
-					Sizzle.error( match[0] );
-				}
-
-				match[2] = match[2].replace(/^\+|\s*/g, '');
-
 				// parse equations like 'even', 'odd', '5', '2n', '3n+2', '4n-1', '-n+6'
-				var test = /(-?)(\d*)(?:n([+\-]?\d*))?/.exec(
+				var test = /(-?)(\d*)n((?:\+|-)?\d*)/.exec(
 					match[2] === "even" && "2n" || match[2] === "odd" && "2n+1" ||
 					!/\D/.test( match[2] ) && "0n+" + match[2] || match[2]);
@@ -4225,7 +3063,4 @@
 				match[3] = test[3] - 0;
 			}
-			else if ( match[2] ) {
-				Sizzle.error( match[0] );
-			}
 
 			// TODO: Move to normal caching system
@@ -4234,7 +3069,6 @@
 			return match;
 		},
-
-		ATTR: function( match, curLoop, inplace, result, not, isXML ) {
-			var name = match[1] = match[1].replace( rBackslash, "" );
+		ATTR: function(match, curLoop, inplace, result, not, isXML){
+			var name = match[1].replace(/\\/g, "");
 			
 			if ( !isXML && Expr.attrMap[name] ) {
@@ -4242,7 +3076,4 @@
 			}
 
-			// Handle if an un-quoted value was used
-			match[4] = ( match[4] || match[5] || "" ).replace( rBackslash, "" );
-
 			if ( match[2] === "~=" ) {
 				match[4] = " " + match[4] + " ";
@@ -4251,21 +3082,16 @@
 			return match;
 		},
-
-		PSEUDO: function( match, curLoop, inplace, result, not ) {
+		PSEUDO: function(match, curLoop, inplace, result, not){
 			if ( match[1] === "not" ) {
 				// If we're dealing with a complex expression, or a simple one
 				if ( ( chunker.exec(match[3]) || "" ).length > 1 || /^\w/.test(match[3]) ) {
 					match[3] = Sizzle(match[3], null, null, curLoop);
-
 				} else {
 					var ret = Sizzle.filter(match[3], curLoop, inplace, true ^ not);
-
 					if ( !inplace ) {
 						result.push.apply( result, ret );
 					}
-
 					return false;
 				}
-
 			} else if ( Expr.match.POS.test( match[0] ) || Expr.match.CHILD.test( match[0] ) ) {
 				return true;
@@ -4274,150 +3100,107 @@
 			return match;
 		},
-
-		POS: function( match ) {
+		POS: function(match){
 			match.unshift( true );
-
 			return match;
 		}
 	},
-	
 	filters: {
-		enabled: function( elem ) {
+		enabled: function(elem){
 			return elem.disabled === false && elem.type !== "hidden";
 		},
-
-		disabled: function( elem ) {
+		disabled: function(elem){
 			return elem.disabled === true;
 		},
-
-		checked: function( elem ) {
+		checked: function(elem){
 			return elem.checked === true;
 		},
-		
-		selected: function( elem ) {
+		selected: function(elem){
 			// Accessing this property makes selected-by-default
 			// options in Safari work properly
-			if ( elem.parentNode ) {
-				elem.parentNode.selectedIndex;
-			}
-			
+			elem.parentNode.selectedIndex;
 			return elem.selected === true;
 		},
-
-		parent: function( elem ) {
+		parent: function(elem){
 			return !!elem.firstChild;
 		},
-
-		empty: function( elem ) {
+		empty: function(elem){
 			return !elem.firstChild;
 		},
-
-		has: function( elem, i, match ) {
+		has: function(elem, i, match){
 			return !!Sizzle( match[3], elem ).length;
 		},
-
-		header: function( elem ) {
-			return (/h\d/i).test( elem.nodeName );
+		header: function(elem){
+			return /h\d/i.test( elem.nodeName );
 		},
-
-		text: function( elem ) {
-			var attr = elem.getAttribute( "type" ), type = elem.type;
-			// IE6 and 7 will map elem.type to 'text' for new HTML5 types (search, etc) 
-			// use getAttribute instead to test this case
-			return elem.nodeName.toLowerCase() === "input" && "text" === type && ( attr === type || attr === null );
+		text: function(elem){
+			return "text" === elem.type;
 		},
-
-		radio: function( elem ) {
-			return elem.nodeName.toLowerCase() === "input" && "radio" === elem.type;
+		radio: function(elem){
+			return "radio" === elem.type;
 		},
-
-		checkbox: function( elem ) {
-			return elem.nodeName.toLowerCase() === "input" && "checkbox" === elem.type;
+		checkbox: function(elem){
+			return "checkbox" === elem.type;
 		},
-
-		file: function( elem ) {
-			return elem.nodeName.toLowerCase() === "input" && "file" === elem.type;
+		file: function(elem){
+			return "file" === elem.type;
 		},
-
-		password: function( elem ) {
-			return elem.nodeName.toLowerCase() === "input" && "password" === elem.type;
+		password: function(elem){
+			return "password" === elem.type;
 		},
-
-		submit: function( elem ) {
-			var name = elem.nodeName.toLowerCase();
-			return (name === "input" || name === "button") && "submit" === elem.type;
+		submit: function(elem){
+			return "submit" === elem.type;
 		},
-
-		image: function( elem ) {
-			return elem.nodeName.toLowerCase() === "input" && "image" === elem.type;
+		image: function(elem){
+			return "image" === elem.type;
 		},
-
-		reset: function( elem ) {
-			var name = elem.nodeName.toLowerCase();
-			return (name === "input" || name === "button") && "reset" === elem.type;
+		reset: function(elem){
+			return "reset" === elem.type;
 		},
-
-		button: function( elem ) {
-			var name = elem.nodeName.toLowerCase();
-			return name === "input" && "button" === elem.type || name === "button";
+		button: function(elem){
+			return "button" === elem.type || elem.nodeName.toLowerCase() === "button";
 		},
-
-		input: function( elem ) {
-			return (/input|select|textarea|button/i).test( elem.nodeName );
-		},
-
-		focus: function( elem ) {
-			return elem === elem.ownerDocument.activeElement;
+		input: function(elem){
+			return /input|select|textarea|button/i.test(elem.nodeName);
 		}
 	},
 	setFilters: {
-		first: function( elem, i ) {
+		first: function(elem, i){
 			return i === 0;
 		},
-
-		last: function( elem, i, match, array ) {
+		last: function(elem, i, match, array){
 			return i === array.length - 1;
 		},
-
-		even: function( elem, i ) {
+		even: function(elem, i){
 			return i % 2 === 0;
 		},
-
-		odd: function( elem, i ) {
+		odd: function(elem, i){
 			return i % 2 === 1;
 		},
-
-		lt: function( elem, i, match ) {
+		lt: function(elem, i, match){
 			return i < match[3] - 0;
 		},
-
-		gt: function( elem, i, match ) {
+		gt: function(elem, i, match){
 			return i > match[3] - 0;
 		},
-
-		nth: function( elem, i, match ) {
+		nth: function(elem, i, match){
 			return match[3] - 0 === i;
 		},
-
-		eq: function( elem, i, match ) {
+		eq: function(elem, i, match){
 			return match[3] - 0 === i;
 		}
 	},
 	filter: {
-		PSEUDO: function( elem, match, i, array ) {
-			var name = match[1],
-				filter = Expr.filters[ name ];
+		PSEUDO: function(elem, match, i, array){
+			var name = match[1], filter = Expr.filters[ name ];
 
 			if ( filter ) {
 				return filter( elem, i, match, array );
-
 			} else if ( name === "contains" ) {
-				return (elem.textContent || elem.innerText || Sizzle.getText([ elem ]) || "").indexOf(match[3]) >= 0;
-
+				return (elem.textContent || elem.innerText || getText([ elem ]) || "").indexOf(match[3]) >= 0;
 			} else if ( name === "not" ) {
 				var not = match[3];
 
-				for ( var j = 0, l = not.length; j < l; j++ ) {
-					if ( not[j] === elem ) {
+				for ( var i = 0, l = not.length; i < l; i++ ) {
+					if ( not[i] === elem ) {
 						return false;
 					}
@@ -4425,17 +3208,13 @@
 
 				return true;
-
 			} else {
-				Sizzle.error( name );
+				Sizzle.error( "Syntax error, unrecognized expression: " + name );
 			}
 		},
-
-		CHILD: function( elem, match ) {
-			var type = match[1],
-				node = elem;
-
-			switch ( type ) {
-				case "only":
-				case "first":
+		CHILD: function(elem, match){
+			var type = match[1], node = elem;
+			switch (type) {
+				case 'only':
+				case 'first':
 					while ( (node = node.previousSibling) )	 {
 						if ( node.nodeType === 1 ) { 
@@ -4443,12 +3222,9 @@
 						}
 					}
-
 					if ( type === "first" ) { 
 						return true; 
 					}
-
 					node = elem;
-
-				case "last":
+				case 'last':
 					while ( (node = node.nextSibling) )	 {
 						if ( node.nodeType === 1 ) { 
@@ -4456,10 +3232,7 @@
 						}
 					}
-
 					return true;
-
-				case "nth":
-					var first = match[2],
-						last = match[3];
+				case 'nth':
+					var first = match[2], last = match[3];
 
 					if ( first === 1 && last === 0 ) {
@@ -4472,5 +3245,4 @@
 					if ( parent && (parent.sizcache !== doneName || !elem.nodeIndex) ) {
 						var count = 0;
-						
 						for ( node = parent.firstChild; node; node = node.nextSibling ) {
 							if ( node.nodeType === 1 ) {
@@ -4478,13 +3250,10 @@
 							}
 						} 
-
 						parent.sizcache = doneName;
 					}
 					
 					var diff = elem.nodeIndex - last;
-
 					if ( first === 0 ) {
 						return diff === 0;
-
 					} else {
 						return ( diff % first === 0 && diff / first >= 0 );
@@ -4492,19 +3261,15 @@
 			}
 		},
-
-		ID: function( elem, match ) {
+		ID: function(elem, match){
 			return elem.nodeType === 1 && elem.getAttribute("id") === match;
 		},
-
-		TAG: function( elem, match ) {
+		TAG: function(elem, match){
 			return (match === "*" && elem.nodeType === 1) || elem.nodeName.toLowerCase() === match;
 		},
-		
-		CLASS: function( elem, match ) {
+		CLASS: function(elem, match){
 			return (" " + (elem.className || elem.getAttribute("class")) + " ")
 				.indexOf( match ) > -1;
 		},
-
-		ATTR: function( elem, match ) {
+		ATTR: function(elem, match){
 			var name = match[1],
 				result = Expr.attrHandle[ name ] ?
@@ -4537,8 +3302,6 @@
 				false;
 		},
-
-		POS: function( elem, match, i, array ) {
-			var name = match[2],
-				filter = Expr.setFilters[ name ];
+		POS: function(elem, match, i, array){
+			var name = match[2], filter = Expr.setFilters[ name ];
 
 			if ( filter ) {
@@ -4549,15 +3312,14 @@
 };
 
-var origPOS = Expr.match.POS,
-	fescape = function(all, num){
+var origPOS = Expr.match.POS;
+
+for ( var type in Expr.match ) {
+	Expr.match[ type ] = new RegExp( Expr.match[ type ].source + /(?![^\[]*\])(?![^\(]*\))/.source );
+	Expr.leftMatch[ type ] = new RegExp( /(^(?:.|\r|\n)*?)/.source + Expr.match[ type ].source.replace(/\\(\d+)/g, function(all, num){
 		return "\\" + (num - 0 + 1);
-	};
-
-for ( var type in Expr.match ) {
-	Expr.match[ type ] = new RegExp( Expr.match[ type ].source + (/(?![^\[]*\])(?![^\(]*\))/.source) );
-	Expr.leftMatch[ type ] = new RegExp( /(^(?:.|\r|\n)*?)/.source + Expr.match[ type ].source.replace(/\\(\d+)/g, fescape) );
+	}));
 }
 
-var makeArray = function( array, results ) {
+var makeArray = function(array, results) {
 	array = Array.prototype.slice.call( array, 0 );
 
@@ -4578,20 +3340,17 @@
 
 // Provide a fallback method if it does not work
-} catch( e ) {
-	makeArray = function( array, results ) {
-		var i = 0,
-			ret = results || [];
+} catch(e){
+	makeArray = function(array, results) {
+		var ret = results || [];
 
 		if ( toString.call(array) === "[object Array]" ) {
 			Array.prototype.push.apply( ret, array );
-
 		} else {
 			if ( typeof array.length === "number" ) {
-				for ( var l = array.length; i < l; i++ ) {
+				for ( var i = 0, l = array.length; i < l; i++ ) {
 					ret.push( array[i] );
 				}
-
 			} else {
-				for ( ; array[i]; i++ ) {
+				for ( var i = 0; array[i]; i++ ) {
 					ret.push( array[i] );
 				}
@@ -4603,102 +3362,60 @@
 }
 
-var sortOrder, siblingCheck;
+var sortOrder;
 
 if ( document.documentElement.compareDocumentPosition ) {
 	sortOrder = function( a, b ) {
-		if ( a === b ) {
+		if ( !a.compareDocumentPosition || !b.compareDocumentPosition ) {
+			if ( a == b ) {
+				hasDuplicate = true;
+			}
+			return a.compareDocumentPosition ? -1 : 1;
+		}
+
+		var ret = a.compareDocumentPosition(b) & 4 ? -1 : a === b ? 0 : 1;
+		if ( ret === 0 ) {
 			hasDuplicate = true;
-			return 0;
-		}
-
-		if ( !a.compareDocumentPosition || !b.compareDocumentPosition ) {
-			return a.compareDocumentPosition ? -1 : 1;
-		}
-
-		return a.compareDocumentPosition(b) & 4 ? -1 : 1;
+		}
+		return ret;
 	};
-
-} else {
+} else if ( "sourceIndex" in document.documentElement ) {
 	sortOrder = function( a, b ) {
-		// The nodes are identical, we can exit early
-		if ( a === b ) {
+		if ( !a.sourceIndex || !b.sourceIndex ) {
+			if ( a == b ) {
+				hasDuplicate = true;
+			}
+			return a.sourceIndex ? -1 : 1;
+		}
+
+		var ret = a.sourceIndex - b.sourceIndex;
+		if ( ret === 0 ) {
 			hasDuplicate = true;
-			return 0;
-
-		// Fallback to using sourceIndex (in IE) if it's available on both nodes
-		} else if ( a.sourceIndex && b.sourceIndex ) {
-			return a.sourceIndex - b.sourceIndex;
-		}
-
-		var al, bl,
-			ap = [],
-			bp = [],
-			aup = a.parentNode,
-			bup = b.parentNode,
-			cur = aup;
-
-		// If the nodes are siblings (or identical) we can do a quick check
-		if ( aup === bup ) {
-			return siblingCheck( a, b );
-
-		// If no parents were found then the nodes are disconnected
-		} else if ( !aup ) {
-			return -1;
-
-		} else if ( !bup ) {
-			return 1;
-		}
-
-		// Otherwise they're somewhere else in the tree so we need
-		// to build up a full list of the parentNodes for comparison
-		while ( cur ) {
-			ap.unshift( cur );
-			cur = cur.parentNode;
-		}
-
-		cur = bup;
-
-		while ( cur ) {
-			bp.unshift( cur );
-			cur = cur.parentNode;
-		}
-
-		al = ap.length;
-		bl = bp.length;
-
-		// Start walking down the tree looking for a discrepancy
-		for ( var i = 0; i < al && i < bl; i++ ) {
-			if ( ap[i] !== bp[i] ) {
-				return siblingCheck( ap[i], bp[i] );
-			}
-		}
-
-		// We ended someplace up the tree so do a sibling check
-		return i === al ?
-			siblingCheck( a, bp[i], -1 ) :
-			siblingCheck( ap[i], b, 1 );
+		}
+		return ret;
 	};
-
-	siblingCheck = function( a, b, ret ) {
-		if ( a === b ) {
-			return ret;
-		}
-
-		var cur = a.nextSibling;
-
-		while ( cur ) {
-			if ( cur === b ) {
-				return -1;
-			}
-
-			cur = cur.nextSibling;
-		}
-
-		return 1;
+} else if ( document.createRange ) {
+	sortOrder = function( a, b ) {
+		if ( !a.ownerDocument || !b.ownerDocument ) {
+			if ( a == b ) {
+				hasDuplicate = true;
+			}
+			return a.ownerDocument ? -1 : 1;
+		}
+
+		var aRange = a.ownerDocument.createRange(), bRange = b.ownerDocument.createRange();
+		aRange.setStart(a, 0);
+		aRange.setEnd(a, 0);
+		bRange.setStart(b, 0);
+		bRange.setEnd(b, 0);
+		var ret = aRange.compareBoundaryPoints(Range.START_TO_END, bRange);
+		if ( ret === 0 ) {
+			hasDuplicate = true;
+		}
+		return ret;
 	};
 }
 
 // Utility function for retreiving the text value of an array of DOM nodes
-Sizzle.getText = function( elems ) {
+function getText( elems ) {
 	var ret = "", elem;
 
@@ -4712,10 +3429,10 @@
 		// Traverse everything else, except comment nodes
 		} else if ( elem.nodeType !== 8 ) {
-			ret += Sizzle.getText( elem.childNodes );
+			ret += getText( elem.childNodes );
 		}
 	}
 
 	return ret;
-};
+}
 
 // Check to see if the browser returns elements by name when
@@ -4724,10 +3441,9 @@
 	// We're going to inject a fake input element with a specified name
 	var form = document.createElement("div"),
-		id = "script" + (new Date()).getTime(),
-		root = document.documentElement;
-
+		id = "script" + (new Date).getTime();
 	form.innerHTML = "<a name='" + id + "'/>";
 
 	// Inject it into the root element, check its status, and remove it quickly
+	var root = document.documentElement;
 	root.insertBefore( form, root.firstChild );
 
@@ -4735,19 +3451,13 @@
 	// Which slows things down for other browsers (hence the branching)
 	if ( document.getElementById( id ) ) {
-		Expr.find.ID = function( match, context, isXML ) {
+		Expr.find.ID = function(match, context, isXML){
 			if ( typeof context.getElementById !== "undefined" && !isXML ) {
 				var m = context.getElementById(match[1]);
-
-				return m ?
-					m.id === match[1] || typeof m.getAttributeNode !== "undefined" && m.getAttributeNode("id").nodeValue === match[1] ?
-						[m] :
-						undefined :
-					[];
+				return m ? m.id === match[1] || typeof m.getAttributeNode !== "undefined" && m.getAttributeNode("id").nodeValue === match[1] ? [m] : undefined : [];
 			}
 		};
 
-		Expr.filter.ID = function( elem, match ) {
+		Expr.filter.ID = function(elem, match){
 			var node = typeof elem.getAttributeNode !== "undefined" && elem.getAttributeNode("id");
-
 			return elem.nodeType === 1 && node && node.nodeValue === match;
 		};
@@ -4755,7 +3465,5 @@
 
 	root.removeChild( form );
-
-	// release memory in IE
-	root = form = null;
+	root = form = null; // release memory in IE
 })();
 
@@ -4770,6 +3478,6 @@
 	// Make sure no comments are found
 	if ( div.getElementsByTagName("*").length > 0 ) {
-		Expr.find.TAG = function( match, context ) {
-			var results = context.getElementsByTagName( match[1] );
+		Expr.find.TAG = function(match, context){
+			var results = context.getElementsByTagName(match[1]);
 
 			// Filter out possible comments
@@ -4792,23 +3500,17 @@
 	// Check to see if an attribute returns normalized href attributes
 	div.innerHTML = "<a href='#'></a>";
-
 	if ( div.firstChild && typeof div.firstChild.getAttribute !== "undefined" &&
 			div.firstChild.getAttribute("href") !== "#" ) {
-
-		Expr.attrHandle.href = function( elem ) {
-			return elem.getAttribute( "href", 2 );
+		Expr.attrHandle.href = function(elem){
+			return elem.getAttribute("href", 2);
 		};
 	}
 
-	// release memory in IE
-	div = null;
+	div = null; // release memory in IE
 })();
 
 if ( document.querySelectorAll ) {
 	(function(){
-		var oldSizzle = Sizzle,
-			div = document.createElement("div"),
-			id = "__sizzle__";
-
+		var oldSizzle = Sizzle, div = document.createElement("div");
 		div.innerHTML = "<p class='TEST'></p>";
 
